Loading...
Searching...
No Matches
DynamicEvaluation.hpp File Reference

This file file provides a dense-AD Evaluation class where the number of derivatives is specified at runtime. More...

`#include <opm/material/common/Valgrind.hpp>`
`#include <opm/material/common/FastSmallVector.hpp>`
`#include <cassert>`
`#include <iosfwd>`
`#include <stdexcept>`
`#include <opm/common/utility/gpuDecorators.hpp>`

Go to the source code of this file.

## Classes

class | Opm::DenseAd::Evaluation< ValueT, DynamicSize, staticSize >
| Represents a function evaluation and its derivatives w.r.t. More...

## Namespaces

namespace | Opm
| This class implements a small container which holds the transmissibility mulitpliers for all the faces in the grid.

## Typedefs

template<class Scalar, unsigned staticSize = 0>
using | Opm::DenseAd::DynamicEvaluation = Evaluation<Scalar, DynamicSize, staticSize>

## Functions

template<class Scalar, unsigned staticSize>
OPM_HOST_DEVICE DenseAd::Evaluation< Scalar, -1, staticSize > | Opm::constant (int numDerivatives, const Scalar &value)
template<class Scalar, unsigned staticSize>
OPM_HOST_DEVICE DenseAd::Evaluation< Scalar, -1, staticSize > | Opm::variable (int numDerivatives, const Scalar &value, unsigned idx)

## Detailed Description

This file file provides a dense-AD Evaluation class where the number of derivatives is specified at runtime.

Attention
  THIS FILE GETS AUTOMATICALLY GENERATED BY THE "genEvalSpecializations.py" SCRIPT. DO NOT EDIT IT MANUALLY!